#!/usr/bin/env python
import argparse
import sys
from lib.wifi import get_wifi, connect


def main():
    try:
        ap = argparse.ArgumentParser()
        ap.add_argument("-j", "--json", help="just output current scanned wifi as json", action="store_true")
        args = ap.parse_args()

        if args.json:
            print(get_wifi())
        else:
            my_dict = get_wifi()
            for element in my_dict:
                print(element)
            my_input = input("wifi_name: ")
            connect(my_input)
    except KeyboardInterrupt:
        print("")
        print(">>> Interrupted by user")
        sys.exit(1)


if __name__ == "__main__":
    main()
